Summary: Koozali SME Server Collabora Online configuration
Name: smeserver-collabora
Version: 0.1.6
Release: 4%{?dist}
License: GPL
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-collabora-0.1.6-bz11893-systemd.patch
Patch1: smeserver-collabora-0.1.6-bz11895-httpd-template.patch
Patch2: smeserver-collabora-0.1.6-bz11895-Virtualhost.patch

BuildArch: noarch
Requires: CODE-brand >= 21.11
Requires: coolwsd
Requires: collaboraoffice-dict-en

BuildRequires: e-smith-devtools

%description
Koozali SME Server Collabora Online configuration

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-%{release}-filelist

%post

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
%doc COPYING

%changelog
* Tue Mar 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.6-4.sme
- make Collabo use a subfolder for its Virtualdomain [SME: 11895]

* Fri Mar 11 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.6-3.sme
- fix httpd template path [SME: 11895]

* Thu Mar 10 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.6-2.sme
- fix missing systemd configuration [SME: 11893]

* Wed Mar 09 2022 Jean-Philippe Pialasse <tests@pialasse.com} - 0.1.6-2
- first version for SME Server, thank you Nethesis Team

* Sat Dec 11 2021 Stephane de Labrusse <stephdl@de-labrusse.fr> - 0.1.6-1
- Go to CODE 21.11

* Sat Dec 11 2021 mrmarkuz <31746411+mrmarkuz@users.noreply.github.com> - 0.1.5-1
- Collabora 21.11 Update - NethServer/dev#6607

* Mon May 03 2021 Stephane de Labrusse <stephdl@de-labrusse.fr> - 0.1.4-1
- Collabora: Require collaboraoffice6.4-dict-en - NethServer/dev#6501

* Tue Apr 20 2021 Stephane de Labrusse <stephdl@de-labrusse.fr> - 0.1.3-1
- Collabora: Add CODE repository but disabled  - NethServer/dev#6490

* Wed Feb 17 2021 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 0.1.2-1
- Collabora still uses rh-php72 but Nextcloud installs rh-php73 - Bug NethServer/dev#6426

* Fri Jan 24 2020 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 0.1.1-1
- Collabora still uses rh-php71 but Nextcloud installs rh-php72 - Bug NethServer/dev#6035

* Tue Feb 12 2019 Matteo Valentini <matteo.valentini@nethesis.it> - 0.1.0-1
- Collabora Online integration - NethServer/dev#5700

